<header>
  <button mat-button (click)="onClose(); onOpen([])">Neu</button>
  <button mat-button (click)="open()">Öffnen</button>
  <button mat-button (click)="save()">Speichern</button>
  <button mat-button (click)="saveAs()">Speichern unter</button>
</header>

<ngx-codemirror [options]="options" (drop)="handleDrop($event[1])" (keypress)="edit()" #editor></ngx-codemirror>

<footer class="unselectable">
  <p>UTF-8</p>
  <p (click)="properties.dialog.toggle(changeMode)" style="cursor: pointer">{{options?.mode || "text"}}</p>
  <p>Line: {{editor.codeMirror?.getCursor().line + 1}}</p>
</footer>

<form class="dialog change-mode"
      #changeMode (reset)="properties.dialog.toggle(changeMode, false)"
      (submit)="$event.preventDefault(); options.mode = label.value; properties.dialog.toggle(changeMode, false); changeMode.reset()">
  <div class="dialog-main">
    <mat-form-field appearance="fill">
      <mat-label>Modus</mat-label>
      <input matInput required #label>
    </mat-form-field>

    <a mat-icon-button matTooltip="Alle Modis" href="https://codemirror.net/mode/index.html" target="_blank" rel="noopener noreferrer"><mat-icon>open_in_new</mat-icon></a>
  </div>

  <div class="buttons">
    <button mat-raised-button color="primary" type="submit">Modus ändern</button>
    <button mat-raised-button color="warn" type="reset">Abbrechen</button>
  </div>
</form>

<form class="dialog save-changes" #dialog (submit)="$event.preventDefault(); saveOnClose()" (reset)="saved = true; properties.windowRef.close()">
  <span>Ungespeicherte Änderungen speichern?</span>

  <div class="buttons">
    <button mat-raised-button color="primary" type="submit">Ja</button>
    <button mat-raised-button color="warn" type="reset">Nein</button>
  </div>
</form>
